@import 'styles/main.scss';

.panel {
  width: 473px;
  background: $background-light;
  border: 1px solid $background-dark-white;
  border-radius: 8px;
  min-height: 600px;

  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 30px 24px;

  &__hide {
    opacity: 0;
  }

  &__list {
    flex: 1;
    padding: 10px 60px;
    width: 100%;
    margin-top: 32px;
    margin-bottom: 40px;
    overflow-y: auto;
  }

  &__level {
    position: relative;
    display: block;
    font-weight: 450;
    font-size: 16px;
    line-height: 20px;
    color: $text-light;
    margin-bottom: 12px;

    > span {
      display: block;
      margin-bottom: 12px;
    }

    &::before {
      content: '';
      display: block;
      width: 12px;
      height: 12px;
      border-radius: 50%;
      background: $text-light;
      position: absolute;
      left: -20px;
      top: 2px;
    }

    &--active {
      color: $text-primary-2;

      &::before {
        background: $primary;
      }
    }

    &:last-child {
      &::after {
        content: '';
        display: block;
        width: 12px;
        height: 12px;
        border-radius: 50%;
        background: $text-light;
        position: absolute;
        left: -20px;
        bottom: 4px;
      }
    }

    &--disabled {
      &:last-child {
        &::after {
          background: $primary;
        }
      }

      .panel__task {
        color: $text-primary-2 !important;
      }
    }
  }

  &__levelLock {
    position: absolute;
    display: inline-block;
    margin-left: 4px;
    transform: translateY(3px);
  }

  &__task {
    position: relative;
    display: block;
    font-weight: 400;
    font-size: 16px;
    line-height: 20px;
    color: $text-light;
    margin-bottom: 8px;

    &::before {
      content: '';
      display: block;
      width: 2px;
      height: 12px;
      border-radius: 2px;
      background: $text-light;
      position: absolute;
      left: -15px;
      top: -13px;
      height: 29px;
    }

    &:first-child {
      &::before {
        top: -20px;
        height: 36px;
      }
    }

    &:last-child {
      &::before {
        top: -13px;
        height: 50px;
      }
    }

    &--active {
      color: $text-primary-2;

      &::before {
        background: $primary;
      }
    }

    &--current {
      color: $dark-green;
      
      &::before {
        background: $primary;
      }
    }
  }

  &__level:last-child {
    .panel__task:last-child {
      &::before {
        top: -13px;
        height: 25px;
      }
    }
  }
}